﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_RECEIPTNOTICE') 
 CREATE TABLE T_PM_RECEIPTNOTICE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FCOMMENT NVARCHAR(512),
FISVIRTUALBILL CHAR(1) DEFAULT '0' NOT NULL,
FTRANSACTEPATHID BIGINT DEFAULT 0 NOT NULL,
FASYNCSTATUS CHAR(1) DEFAULT 'B' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FLINKMANID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(512),
FPROVIDERSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERLINKMANID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERADDRESS NVARCHAR(512),
FINVOICESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYCONDITIONID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FPAYMODE VARCHAR(30) DEFAULT 'CREDIT' NOT NULL,
FEXCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FRECEIVEORGID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEDEPTID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEGROUPID BIGINT DEFAULT 0 NOT NULL,
FRECEIVECLERKID BIGINT DEFAULT 0 NOT NULL,
FBILLCRETYPE VARCHAR(5) DEFAULT '0' NOT NULL,
FCANCELSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FCHANGESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FVERSION VARCHAR(30) DEFAULT '1' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FUNITSRCTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_RECEIPTNOTICE_L') 
 CREATE TABLE T_PM_RECEIPTNOTICE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_RECEIPTNOTICEENTRY') 
 CREATE TABLE T_PM_RECEIPTNOTICEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255),
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FROWCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ',
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQDEPTID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FDELIVERLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FDELIVERADDRESS NVARCHAR(512) DEFAULT ' ',
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLQTY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVERATEDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVERATEUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FENTRYCREATETIME DATETIME,
FENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYMODIFYTIME DATETIME,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FROWTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_RECEIPTNOTICEENTRY_R') 
 CREATE TABLE T_PM_RECEIPTNOTICEENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALBILLID BIGINT DEFAULT 0 NOT NULL,
FSALBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSALBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSALBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCSYSTEM NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONBILLENTITY VARCHAR(80) DEFAULT ' ' NOT NULL,
FCONBILLNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONBILLENTRYSEQ VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONBILLID BIGINT DEFAULT 0 NOT NULL,
FCONBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FCONBILLROWNUM VARCHAR(50) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
