﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PM_PURQUOTA', 'T_PM_PURQUOTA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PURQUOTA' AND KSQL_INDNAME = 'IDX_PM_PURQUOTA_NUMBER') CREATE INDEX IDX_PM_PURQUOTA_NUMBER ON T_PM_PURQUOTA ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PURQUOTA' AND KSQL_INDNAME = 'IDX_PM_PURQUOTA_ORG') CREATE INDEX IDX_PM_PURQUOTA_ORG ON T_PM_PURQUOTA ( FORGID );


 EXEC P_ALTERPK 'PK_T_PM_PURQUOTA_L', 'T_PM_PURQUOTA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PURQUOTA_L' AND KSQL_INDNAME = 'IDX_PM_PURQUOTA_L_FID') CREATE INDEX IDX_PM_PURQUOTA_L_FID ON T_PM_PURQUOTA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PM_PURQUOTAENTRY', 'T_PM_PURQUOTAENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PURQUOTAENTRY' AND KSQL_INDNAME = 'IDX_PM_PURQUOTAENTRY_ID') CREATE INDEX IDX_PM_PURQUOTAENTRY_ID ON T_PM_PURQUOTAENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PURQUOTAENTRY' AND KSQL_INDNAME = 'IDX_PM_PURQUOTAENTRY_MATERIAL') CREATE INDEX IDX_PM_PURQUOTAENTRY_MATERIAL ON T_PM_PURQUOTAENTRY ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_PM_PURQUOTAENTRY' AND KSQL_INDNAME = 'IDX_PM_PURQUOTAENTRY_SUPPLIER') CREATE INDEX IDX_PM_PURQUOTAENTRY_SUPPLIER ON T_PM_PURQUOTAENTRY ( FSUPPLIERID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
