﻿/**Begin D:\PDM_UPGRADE\PDM1\OM_constraint.sql **/
 EXEC P_ALTERPK 'PK_OM_COMPONENTENTRY_L', 'T_OM_COMPONENTENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_COMPONENTENTRY_L_0') CREATE INDEX IDX_OM_COMPONENTENTRY_L_0 ON T_OM_COMPONENTENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OM_COMPONENTENTRY_A', 'T_OM_COMPONENTENTRY_A', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_COMPONENTENTRY_A_FK') CREATE INDEX IDX_OM_COMPONENTENTRY_A_FK ON T_OM_COMPONENTENTRY_A ( FID );


 EXEC P_ALTERPK 'PK_OM_COMPONENTENTRY', 'T_OM_COMPONENTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_COMPONENTENTRY_FK') CREATE INDEX IDX_OM_COMPONENTENTRY_FK ON T_OM_COMPONENTENTRY ( FID );


 EXEC P_ALTERPK 'PK_OM_COMPONENT', 'T_OM_COMPONENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OM_COMPONENT_FMATERIALID') CREATE INDEX IDX_OM_COMPONENT_FMATERIALID ON T_OM_COMPONENT ( FMATERIALID );


 EXEC P_ALTERPK 'PK_PM_OM_PURORDERBILL_S', 'T_PM_OM_PURORDERBILL_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURORDERBILL_S') CREATE INDEX IDX_PM_OM_PURORDERBILL_S ON T_PM_OM_PURORDERBILL_S ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_PM_OM_PURORDERBILL_L', 'T_PM_OM_PURORDERBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURORDERBILL_L') CREATE INDEX IDX_PM_OM_PURORDERBILL_L ON T_PM_OM_PURORDERBILL_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PM_OM_PURORDERBILL_F', 'T_PM_OM_PURORDERBILL_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURORDERBILL_F') CREATE INDEX IDX_PM_OM_PURORDERBILL_F ON T_PM_OM_PURORDERBILL_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_PM_OM_PURORDERBILL', 'T_PM_OM_PURORDERBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURORDERBILL') CREATE INDEX IDX_PM_OM_PURORDERBILL ON T_PM_OM_PURORDERBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_PM_OM_PURBILLENTRY_R', 'T_PM_OM_PURBILLENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURBILLENTRY_R') CREATE INDEX IDX_PM_OM_PURBILLENTRY_R ON T_PM_OM_PURBILLENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_PM_OM_PURBILLENTRY_F', 'T_PM_OM_PURBILLENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURBILLENTRY_F') CREATE INDEX IDX_PM_OM_PURBILLENTRY_F ON T_PM_OM_PURBILLENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_PM_OM_PURBILLENTRY_D', 'T_PM_OM_PURBILLENTRY_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURBILLENTRY_D') CREATE INDEX IDX_PM_OM_PURBILLENTRY_D ON T_PM_OM_PURBILLENTRY_D ( FID );


 EXEC P_ALTERPK 'PK_PM_OM_PURBILLENTRY', 'T_PM_OM_PURBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURBILLENTRY') CREATE INDEX IDX_PM_OM_PURBILLENTRY ON T_PM_OM_PURBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_PM_OM_PURPAYENTRY', 'T_PM_OM_PURPAYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_PURPAYENTRY_FK') CREATE INDEX IDX_PM_OM_PURPAYENTRY_FK ON T_PM_OM_PURPAYENTRY ( FID );



/**End D:\PDM_UPGRADE\PDM1\OM_constraint.sql **/
