﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_SETTLEPARAM') 
 CREATE TABLE T_PM_SETTLEPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBOTPID VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_SETTLEPARAM_L') 
 CREATE TABLE T_PM_SETTLEPARAM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_SOURCELISTENTRY' AND KSQL_COL_NAME ='FUNITID') 
 ALTER TABLE T_PM_SOURCELISTENTRY ADD (FUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_SOURCELISTENTRY' AND KSQL_COL_NAME ='FMAXBILLQTY') 
 ALTER TABLE T_PM_SOURCELISTENTRY ADD (FMAXBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_SOURCELISTENTRY' AND KSQL_COL_NAME ='FMINBILLQTY') 
 ALTER TABLE T_PM_SOURCELISTENTRY ADD (FMINBILLQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_SOURCELISTENTRY' AND KSQL_COL_NAME ='FPACKAGEBATCHQTY') 
 ALTER TABLE T_PM_SOURCELISTENTRY ADD (FPACKAGEBATCHQTY BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FCALCULATECYCLE') 
 ALTER TABLE T_PM_QUOTA ADD (FCALCULATECYCLE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTDATE') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTDAYOFMONTH') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTDAYOFMONTH VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTSEASONONEDATE') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTSEASONONEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTSEASONTWODATE') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTSEASONTWODATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTSEASONTHREEDATE') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTSEASONTHREEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTSEASONFOURDATE') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTSEASONFOURDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTYEARDATE') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTYEARDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTOTHERDATE') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTOTHERDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_QUOTA' AND KSQL_COL_NAME ='FSTARTDAYOFWEEK') 
 ALTER TABLE T_PM_QUOTA ADD (FSTARTDAYOFWEEK VARCHAR(5) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
