﻿--------------------------------------------------------------------------------------------- 更新采购相关单据类型参数 begin ----------------------------------------------------------------------
-- 标准采购申请单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_purapplybill' AND FBILLTYPEID = '539008374826629120')    
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"110_S","masterid":0,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"1C+Y1//QG0W=","name":"标准采购","description":" ","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+Y1//QG0X0","name":"標準采購","description":" ","localeid":"zh_TW"}],"name":{"zh_TW":"標準采購","zh_CN":"标准采购"},"id":422857170485263360},"_Type_":"pm_billtypeparameter","biztype_id":422857170485263360}'  WHERE FBILLTYPEID = 539008374826629120;

-- 资产采购申请单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_purapplybill' AND FBILLTYPEID = '546171408162515968')    
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"114","masterid":422860896797212672,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"04ZVUHIF1+UX","name":"资产类采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+YT4/A4LF9","name":"资产采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"04ZVUHIF1+UY","name":"資產類采購","description":"","localeid":"zh_TW"},{"_Type_":"locale","pkid":"1C+YT4/A4LFA","name":"資產采購","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"資產采購","zh_CN":"资产采购"},"id":422860896797212672},"_Type_":"pm_billtypeparameter","biztype_id":422860896797212672,"bizcategory":"ZC"}'  WHERE FBILLTYPEID = 546171408162515968;

-- 费用采购申请单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_purapplybill' AND FBILLTYPEID = '546171087155648512')    
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"118","masterid":422860087598529536,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"04ZWAMAL8/UN","name":"服务/费用类采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+YN8=JR4MU","name":"费用采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"04ZWAMAL8/UO","name":"服務/費用類采購","description":"","localeid":"zh_TW"},{"_Type_":"locale","pkid":"1C+YN8=JR4MV","name":"費用采購","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"費用采購","zh_CN":"费用采购"},"id":422860087598529536},"_Type_":"pm_billtypeparameter","biztype_id":422860087598529536,"bizcategory":"FY"}'  WHERE FBILLTYPEID = 546171087155648512;

-- 标准采购订单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_purorderbill' AND FBILLTYPEID = '539008795674673152')    
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"110_S","masterid":0,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"1C+Y1//QG0W=","name":"标准采购","description":" ","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+Y1//QG0X0","name":"標準采購","description":" ","localeid":"zh_TW"}],"name":{"zh_TW":"標準采購","zh_CN":"标准采购"},"id":422857170485263360},"_Type_":"pm_billtypeparameter","biztype_id":422857170485263360}'  WHERE FBILLTYPEID = 539008795674673152;

-- 资产采购订单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_purorderbill' AND FBILLTYPEID = '545330973332499456')    
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"114","masterid":422860896797212672,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"04ZVUHIF1+UX","name":"资产类采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+YT4/A4LF9","name":"资产采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"04ZVUHIF1+UY","name":"資產類采購","description":"","localeid":"zh_TW"},{"_Type_":"locale","pkid":"1C+YT4/A4LFA","name":"資產采購","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"資產采購","zh_CN":"资产采购"},"id":422860896797212672},"_Type_":"pm_billtypeparameter","biztype_id":422860896797212672,"bizcategory":"ZC"}'  WHERE FBILLTYPEID = 545330973332499456;


-- 费用采购订单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_purorderbill' AND FBILLTYPEID = '545330501079034880')    
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"118","masterid":422860087598529536,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"04ZWAMAL8/UN","name":"服务/费用类采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+YN8=JR4MU","name":"费用采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"04ZWAMAL8/UO","name":"服務/費用類采購","description":"","localeid":"zh_TW"},{"_Type_":"locale","pkid":"1C+YN8=JR4MV","name":"費用采購","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"費用采購","zh_CN":"费用采购"},"id":422860087598529536},"_Type_":"pm_billtypeparameter","biztype_id":422860087598529536,"bizcategory":"FY"}'  WHERE FBILLTYPEID = 545330501079034880;

-- VMI采购订单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_purorderbill' AND FBILLTYPEID = '721475298922619904')
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"130","masterid":688852433954466816,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"04L72WIS8LYM","name":"VMI采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"04L72WIS8LYN","name":"VMI采購","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"VMI采購","zh_CN":"VMI采购"},"id":688852433954466816},"_Type_":"pm_billtypeparameter","biztype_id":688852433954466816,"bizcategory":"VMI"}'  WHERE FBILLTYPEID = 721475298922619904;

-- 标准采购退货申请单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_purrefundapplybill' AND FBILLTYPEID = '707158076234441728')
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"111","masterid":688847172015446016,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"04L63J41SNHK","name":"物料类采购退货","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"04L63J41SNHL","name":"物料類采購退貨","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"物料類采購退貨","zh_CN":"物料类采购退货"},"id":688847172015446016},"_Type_":"pm_billtypeparameter","biztype_id":688847172015446016}'  WHERE FBILLTYPEID = 707158076234441728;

-- 标准需求申请单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_requirapplybill' AND FBILLTYPEID = '673792353605022720')
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"110_S","masterid":0,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"1C+Y1//QG0W=","name":"标准采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+Y1//QG0X0","name":"標準采購","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"標準采購","zh_CN":"标准采购"},"id":422857170485263360},"_Type_":"pm_billtypeparameter","biztype_id":422857170485263360}'  WHERE FBILLTYPEID = 673792353605022720;

-- 资产需求申请单
IF  EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_requirapplybill' AND FBILLTYPEID = '673793167367107584')
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"114","masterid":422860896797212672,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"04ZVUHIF1+UX","name":"资产类采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+YT4/A4LF9","name":"资产采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"04ZVUHIF1+UY","name":"資產類采購","description":"","localeid":"zh_TW"},{"_Type_":"locale","pkid":"1C+YT4/A4LFA","name":"資產采購","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"資產采購","zh_CN":"资产采购"},"id":422860896797212672},"_Type_":"pm_billtypeparameter","biztype_id":422860896797212672,"bizcategory":"ZC"}'  WHERE FBILLTYPEID = 673793167367107584;


-- 标准采购订单变更单
IF EXISTS (SELECT 1 FROM t_bas_billtypeparameter WHERE FFORMID = 'pm_xpurorderbill' AND FBILLTYPEID = '640523342432007168')    
UPDATE t_bas_billtypeparameter SET FDATA = '{"biztype":{"number":"110_S","masterid":0,"_Type_":"bd_biztype","multilanguagetext":[{"_Type_":"locale","pkid":"1C+Y1//QG0W=","name":"标准采购","description":"","localeid":"zh_CN"},{"_Type_":"locale","pkid":"1C+Y1//QG0X0","name":"標準采購","description":"","localeid":"zh_TW"}],"name":{"zh_TW":"標準采購","zh_CN":"标准采购"},"id":422857170485263360},"_Type_":"pm_billtypeparameter","biztype_id":422857170485263360}'  WHERE FBILLTYPEID = 640523342432007168;



--------------------------------------------------------------------------------------------- 更新采购相关单据类型参数  end-------------------------------------------------------------------------
