/****** 采购管理的编码规则的预置数据 采购退货申请单 2019 8 14 ******/
-- t_cr_coderule
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '050R2YPLM4ZG') 
INSERT INTO t_cr_coderule (FID, FNUMBER, FRULETYPE, FBIZOBJECTID, FSPLITSIGN, FCTRLMODE, FAPPMODE, FEXAMPLE, FEXAMPLELENGTH, FENABLE, FSTATUS, FCREATORID, FCREATETIME, FMODIFIERID, FMODIFYTIME, FDISABLERID, FDISABLEDATE, FMASTERID, FISUPDATERECOVER) VALUES ('050R2YPLM4ZG', ' ', NULL, 'pm_purrefundapplybill', '-', '1', '2', ' ', ' ', '1', 'C', 1, {ts'2018-08-08 18:08:00'}, 1, {ts'2018-08-08 18:08:00'}, NULL, NULL, '050R2YPLM4ZG', '0');

--t_cr_coderule_l
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '050R2YQBMH5U')
INSERT INTO t_cr_coderule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('050R2YQBMH5U', '050R2YPLM4ZG', 'zh_TW', '采購退貨申請單編碼規則');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '050R2YQBMH5V')
INSERT INTO t_cr_coderule_l (FPKID, FID, FLOCALEID, FNAME) VALUES ('050R2YQBMH5V', '050R2YPLM4ZG', 'zh_CN', '采购退货申请单编码规则');

-- t_cr_coderuleentry
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '050R3T/US3IW')
INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('050R3T/US3IW', '050R2YPLM4ZG', 0, '1', ' ', ' ', 'CGTHSQ', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '050R3T/US3IX')
INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('050R3T/US3IX', '050R2YPLM4ZG', 1, '2', '1', 'biztime', 'yyMMdd', ' ', 8, 1, 1, ' ', '1', '1', '1', '1', '-', '1');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '050R3T/US3IY')
INSERT INTO t_cr_coderuleentry (FENTRYID, FID, FSEQ, FATTRIBUTETYPE, FATTUSINGMODE, FVALUEATRIBUTE, FFORMAT, FSETTINGVALUE, FLENGTH, FINITIAL, FSTEP, FADDCHAR, FISSPLITSIGN, FADDSTYLE, FCUTSTYLE, FISSORTITEM, FSPLITSIGN, FISVISABLE) VALUES ('050R3T/US3IY', '050R2YPLM4ZG', 2, '16', '1', ' ', ' ', ' ', 6, 1, 1, ' ', '1', '1', '1', '0', '-', '1');

/**  变更单编码规则调整 **/
IF EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '/YVS0CUDH7DB') 
UPDATE t_cr_coderuleentry SET FVALUEATRIBUTE = 'sourceno' WHERE FENTRYID = '/YVS0CUDH7DB';

