﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_CONSTRAINT') 
 CREATE TABLE T_PM_CONSTRAINT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCONSTRAINTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLCONTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FSRCBILLCONTION_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_CONSTRAINT_L') 
 CREATE TABLE T_PM_CONSTRAINT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_MRPENTRY') 
 CREATE TABLE T_PM_MRPENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMRPPURORGID BIGINT DEFAULT 0 NOT NULL,
FSPLITSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FMRPENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_MRPENTRY_D') 
 CREATE TABLE T_PM_MRPENTRY_D (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FD1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD12 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD13 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD14 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD15 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD16 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD17 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD18 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD19 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD20 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD21 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD22 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD23 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD24 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD25 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD26 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD27 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD28 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_MRPENTRY_W') 
 CREATE TABLE T_PM_MRPENTRY_W (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FW1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW12 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW13 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW14 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW15 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW16 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW17 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW18 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW19 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW20 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW21 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW22 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW23 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW24 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW25 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW26 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW27 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW28 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW29 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW30 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW31 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW32 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW33 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW34 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW35 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW36 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW37 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW38 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW39 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW40 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW41 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW42 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW43 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW44 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW45 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW46 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW47 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW48 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW49 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW50 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW51 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW52 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW53 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW54 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW55 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW56 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW57 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW58 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW59 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW60 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW61 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW62 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW63 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW64 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW65 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW66 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW67 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW68 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW69 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW70 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW71 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW72 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW73 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW74 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW75 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_RESULTENTRY') 
 CREATE TABLE T_PM_RESULTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FMINPACKAGEQTY BIGINT DEFAULT 0 NOT NULL,
FMINORDERBASEQTY BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSUBTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FREPLYSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREPLYDATE DATETIME,
FOPERATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FOPERATEDATE DATETIME,
FMRPENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_RESULTENTRY_D') 
 CREATE TABLE T_PM_RESULTENTRY_D (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FD1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD12 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD13 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD14 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD15 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD16 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD17 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD18 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD19 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD20 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD21 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD22 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD23 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD24 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD25 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD26 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD27 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FD28 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_RESULTENTRY_W') 
 CREATE TABLE T_PM_RESULTENTRY_W (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FW1 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW2 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW3 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW4 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW5 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW6 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW7 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW8 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW9 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW10 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW11 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW12 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW13 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW14 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW15 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW16 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW17 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW18 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW19 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW20 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW21 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW22 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW23 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW24 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW25 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW26 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW27 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW28 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW29 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW30 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW31 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW32 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW33 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW34 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW35 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW36 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW37 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW38 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW39 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW40 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW41 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW42 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW43 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW44 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW45 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW46 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW47 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW48 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW49 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW50 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW51 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW52 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW53 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW54 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW55 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW56 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW57 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW58 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW59 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW60 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW61 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW62 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW63 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW64 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW65 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW66 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW67 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW68 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW69 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW70 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW71 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW72 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW73 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW74 DECIMAL(23,10) DEFAULT 0 NOT NULL,
FW75 DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_SPLITRESULT') 
 CREATE TABLE T_PM_SPLITRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPLANCALCNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSPLITSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FSPLITDATE DATETIME,
FRESULTTEXT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAUTOREPLY CHAR(1) DEFAULT '0' NOT NULL,
FPUBLISHDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_SOURCELISTENTRY' AND KSQL_COL_NAME ='FBASEUNITID') 
 ALTER TABLE T_PM_SOURCELISTENTRY ADD (FBASEUNITID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_SOURCELISTENTRY' AND KSQL_COL_NAME ='FMAXBILLBASEQTY') 
 ALTER TABLE T_PM_SOURCELISTENTRY ADD (FMAXBILLBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_SOURCELISTENTRY' AND KSQL_COL_NAME ='FMINBILLBASEQTY') 
 ALTER TABLE T_PM_SOURCELISTENTRY ADD (FMINBILLBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY' AND KSQL_COL_NAME ='FPROMISEDATE') 
 ALTER TABLE T_PM_XPURORDERBILLENTRY ADD (FPROMISEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTITY') 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FSOUBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLID') 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FSOUBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTRYID') 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FSOUBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLNUMBER') 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FSOUBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTRYSEQ') 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FSOUBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
