-- 委外订单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURORDERBILL' AND KSQL_COL_NAME ='FLASTUPDATEUSERID') 
 ALTER TABLE T_PM_OM_PURORDERBILL ADD (FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURORDERBILL' AND KSQL_COL_NAME ='FLASTUPDATETIME') 
 ALTER TABLE T_PM_OM_PURORDERBILL ADD (FLASTUPDATETIME DATETIME );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FRETURNRECEIPTQTY') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FRETURNRECEIPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY' AND KSQL_COL_NAME ='FTRACKNUMBERID') 
 ALTER TABLE T_PM_OM_PURBILLENTRY ADD (FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY' AND KSQL_COL_NAME ='FCONFIGUREDCODEID') 
 ALTER TABLE T_PM_OM_PURBILLENTRY ADD (FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY' AND KSQL_COL_NAME ='FPROMISEDATE') 
 ALTER TABLE T_PM_OM_PURBILLENTRY ADD (FPROMISEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTITY') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FSOUBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLID') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FSOUBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTRYID') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FSOUBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLNUMBER') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FSOUBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTRYSEQ') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FSOUBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FMFTORDERID') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FMFTORDERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FMFTORDERNUMBER') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FMFTORDERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FMFTORDERENTRYID') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FMFTORDERENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FMFTORDERENTRYSEQ') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FMFTORDERENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY_R' AND KSQL_COL_NAME ='FPRODUCTTYPE') 
 ALTER TABLE T_PM_OM_PURBILLENTRY_R ADD (FPRODUCTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_PURBILLENTRY' AND KSQL_COL_NAME ='FLINETYPEID') 
 ALTER TABLE T_PM_OM_PURBILLENTRY ADD (FLINETYPEID BIGINT DEFAULT 0 NOT NULL );
--委外订单变更
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILL' AND KSQL_COL_NAME ='FLASTUPDATEUSERID') 
 ALTER TABLE T_PM_OM_WXPURBILL ADD (FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILL' AND KSQL_COL_NAME ='FLASTUPDATETIME') 
 ALTER TABLE T_PM_OM_WXPURBILL ADD (FLASTUPDATETIME DATETIME );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FRETURNRECEIPTQTY') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FRETURNRECEIPTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY' AND KSQL_COL_NAME ='FTRACKNUMBERID') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY ADD (FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY' AND KSQL_COL_NAME ='FCONFIGUREDCODEID') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY ADD (FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY' AND KSQL_COL_NAME ='FPROMISEDATE') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY ADD (FPROMISEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTITY') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FSOUBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLID') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FSOUBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTRYID') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FSOUBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLNUMBER') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FSOUBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FSOUBILLENTRYSEQ') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FSOUBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY' AND KSQL_COL_NAME ='FLINETYPEID') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY ADD (FLINETYPEID BIGINT DEFAULT 0 NOT NULL );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FMFTORDERID') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FMFTORDERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FMFTORDERNUMBER') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FMFTORDERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FMFTORDERENTRYID') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FMFTORDERENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FMFTORDERENTRYSEQ') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FMFTORDERENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R' AND KSQL_COL_NAME ='FPRODUCTTYPE') 
 ALTER TABLE T_PM_OM_WXPURBILLENTRY_R ADD (FPRODUCTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL );