﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_VMISRECORD' AND KSQL_COL_NAME ='FSETTLETYPE') 
 ALTER TABLE T_PM_VMISRECORD ADD (FSETTLETYPE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_VMISRECORDENTRY' AND KSQL_COL_NAME ='FSRCBILLFORM') 
 ALTER TABLE T_PM_VMISRECORDENTRY ADD (FSRCBILLFORM VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_TRANSFERENTRY' AND KSQL_COL_NAME ='FSRCBILLNUMBER') 
 ALTER TABLE T_PM_TRANSFERENTRY ADD (FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_TRANSFERENTRY' AND KSQL_COL_NAME ='FSRCBILLENTRYSEQ') 
 ALTER TABLE T_PM_TRANSFERENTRY ADD (FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_TRANSFERBILL' AND KSQL_COL_NAME ='FBOOKDATE') 
 ALTER TABLE T_PM_TRANSFERBILL ADD (FBOOKDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_TRANSFERBILL' AND KSQL_COL_NAME ='FSRCBILLFORM') 
 ALTER TABLE T_PM_TRANSFERBILL ADD (FSRCBILLFORM VARCHAR(36) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILL' AND KSQL_COL_NAME ='FEXCHANGETYPE') 
 ALTER TABLE T_PM_XPURORDERBILL ADD (FEXCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILL' AND KSQL_COL_NAME ='FPRICELISTID') 
 ALTER TABLE T_PM_XPURORDERBILL ADD (FPRICELISTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURREFUNDAPPLYBILL' AND KSQL_COL_NAME ='FEXCHANGETYPE') 
 ALTER TABLE T_PM_PURREFUNDAPPLYBILL ADD (FEXCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURACCEPTBILL' AND KSQL_COL_NAME ='FEXCHANGETYPE') 
 ALTER TABLE T_PM_PURACCEPTBILL ADD (FEXCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMISETTLELOG')
 CREATE TABLE T_PM_VMISETTLELOG (
FID BIGINT DEFAULT 0 NOT NULL,
FDATETIME DATETIME,
FSETTLEUSERID BIGINT DEFAULT 0 NOT NULL,
FSETTLEDATE DATETIME,
FSETTLETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSETTLELOTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISSUCCESS CHAR(1) DEFAULT '1' NOT NULL,
FSETTLERESULT NVARCHAR(512),
FSETTLERESULT_TAG NCLOB,
FVMISETTLESRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FVMISETTLESRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FVMISETTLESRCBILLID BIGINT DEFAULT 0 NOT NULL,
FTRANSFERBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FTRANSFERBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTRANSFERBILLID BIGINT DEFAULT 0 NOT NULL,
FVMISETTLEBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FVMISETTLEBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FVMISETTLEBILLID BIGINT DEFAULT 0 NOT NULL,
FPURINBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FPURINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPURINBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMISETTLEMODEL') 
 CREATE TABLE T_PM_VMISETTLEMODEL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FVMISETTLESRCBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FPURINBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FTRANSFERBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FTOTRANSFERBILLRULE VARCHAR(36) DEFAULT ' ' NOT NULL,
FTOPURINBILLRULE VARCHAR(36) DEFAULT ' ' NOT NULL,
FTOVMISETTLESRCBILLRULE VARCHAR(36) DEFAULT ' ' NOT NULL,
FPLUGIN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISQUOTEPRICE CHAR(1) DEFAULT '1' NOT NULL,
FISPRE CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMIFOCUSSETTLERULE') 
 CREATE TABLE T_PM_VMIFOCUSSETTLERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FRQORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMISETTLEMODEL_L') 
 CREATE TABLE T_PM_VMISETTLEMODEL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
