﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PPLENTRY' AND KSQL_COL_NAME ='FADJUSTBILLID') 
 ALTER TABLE T_PM_PPLENTRY ADD (FADJUSTBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PPLENTRY' AND KSQL_COL_NAME ='FADJUSTBILLNO') 
 ALTER TABLE T_PM_PPLENTRY ADD (FADJUSTBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURPADJUSTENTRY') 
 CREATE TABLE T_PM_PURPADJUSTENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FADJUSTFLAG VARCHAR(5) DEFAULT ' ' NOT NULL,
FSRCPRICELISTID BIGINT DEFAULT 0 NOT NULL,
FSRCPRICEENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FADJPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJPRICEFLOOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEFLOOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJPRICECEILING DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICECEILING DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJPRICEEFFECTDATE DATETIME,
FPRICEEFFECTDATE DATETIME,
FADJPRICEEXPIRYDATE DATETIME,
FPRICEEXPIRYDATE DATETIME,
FREMARK NVARCHAR(255)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURPRICEADJUST') 
 CREATE TABLE T_PM_PURPRICEADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FPRICELISTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPURPRICELISTID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBATCHADJUSTNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FADJUSTMODE VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURPRICEADJUST_L') 
 CREATE TABLE T_PM_PURPRICEADJUST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PMP_table.sql **/
