﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PM_VMI_DIMENSIONENTRY', 'T_PM_VMI_DIMENSIONENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_VMI_DIMENSIONENTRY_ID') CREATE INDEX IDX_PM_VMI_DIMENSIONENTRY_ID ON T_PM_VMI_DIMENSIONENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PM_VMI_INBILLENTRY', 'T_PM_VMI_INBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_VMI_INBILLENTRY_ID') CREATE INDEX IDX_PM_VMI_INBILLENTRY_ID ON T_PM_VMI_INBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PM_VMI_OUTBILLENTRY', 'T_PM_VMI_OUTBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_VMI_OUTBILLENTRY_ID') CREATE INDEX IDX_PM_VMI_OUTBILLENTRY_ID ON T_PM_VMI_OUTBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PM_VMI_TYPE', 'T_PM_VMI_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_VMI_TYPE_FNUMBER') CREATE INDEX IDX_PM_VMI_TYPE_FNUMBER ON T_PM_VMI_TYPE ( FNUMBER ,FSRCBILL );


 EXEC P_ALTERPK 'PK_T_PM_VMI_TYPE_L', 'T_PM_VMI_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_VMI_TYPE_L_FID') CREATE INDEX IDX_PM_VMI_TYPE_L_FID ON T_PM_VMI_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PM_VMI_SRECORDENTRY', 'T_PM_VMI_SRECORDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_VMI_SRECORDENTRY_FID') CREATE INDEX IDX_PM_VMI_SRECORDENTRY_FID ON T_PM_VMI_SRECORDENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PM_VMI_SETTLEMENTRECORD', 'T_PM_VMI_SETTLEMENTRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_VMI_SETTLERECORD_BILLNO') CREATE INDEX IDX_PM_VMI_SETTLERECORD_BILLNO ON T_PM_VMI_SETTLEMENTRECORD ( FBILLNO ,FORGID ,FSUPPLIERID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
