﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMI_DIMENSIONENTRY') 
 CREATE TABLE T_PM_VMI_DIMENSIONENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FDESDIMENSIONFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCDIMENSIONFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDIMENSION NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMI_INBILLENTRY') 
 CREATE TABLE T_PM_VMI_INBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINBILLFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINBILLSETTLEMENTFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMI_OUTBILLENTRY') 
 CREATE TABLE T_PM_VMI_OUTBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOUTBILLFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOUTBILLSETTLEMENTFIELD NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMI_TYPE') 
 CREATE TABLE T_PM_VMI_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCBILL NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDESBILL NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBOTPID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FDESBOTPID NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMI_TYPE_L') 
 CREATE TABLE T_PM_VMI_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMI_SRECORDENTRY') 
 CREATE TABLE T_PM_VMI_SRECORDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FSOURCEBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FLOTID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURSETTLEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNSETTLEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTARGETBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTARGETBILLID BIGINT DEFAULT 0 NOT NULL,
FTARGETBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FTARGETBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_VMI_SETTLEMENTRECORD') 
 CREATE TABLE T_PM_VMI_SETTLEMENTRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTDATE DATETIME,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSETTLEMENTMANID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
