﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PM_XPURAPPLYBILL', 'T_PM_XPURAPPLYBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURAPPLYBILL_BILLNO') CREATE INDEX IDX_PM_XPURAPPLYBILL_BILLNO ON T_PM_XPURAPPLYBILL ( FCHANGEBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURAPPLYBILL_ORG') CREATE INDEX IDX_PM_XPURAPPLYBILL_ORG ON T_PM_XPURAPPLYBILL ( FORGID ,FCHANGEBILLNO ,FCHANGEBIZDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURAPPLYBILL_BIZTIME') CREATE INDEX IDX_PM_XPURAPPLYBILL_BIZTIME ON T_PM_XPURAPPLYBILL ( FCHANGEBIZDATE );


 EXEC P_ALTERPK 'PK_T_PM_XPURAPPLYBILL_L', 'T_PM_XPURAPPLYBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURAPPLYBILL_L') CREATE INDEX IDX_PM_XPURAPPLYBILL_L ON T_PM_XPURAPPLYBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PM_XPURAPPLYBILLENTRY', 'T_PM_XPURAPPLYBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURAPPLYBILLENTRY') CREATE INDEX IDX_PM_XPURAPPLYBILLENTRY ON T_PM_XPURAPPLYBILLENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPRENTRY_MATID') CREATE INDEX IDX_PM_XPRENTRY_MATID ON T_PM_XPURAPPLYBILLENTRY ( FMATERIALID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPRENTRY_MATASTERTID') CREATE INDEX IDX_PM_XPRENTRY_MATASTERTID ON T_PM_XPURAPPLYBILLENTRY ( FMATERIALMASTERID ,FID );


 EXEC P_ALTERPK 'PK_T_PM_XPURAPPLYBILLENTRY_R', 'T_PM_XPURAPPLYBILLENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPABILLENTRY_R') CREATE INDEX IDX_PM_XPABILLENTRY_R ON T_PM_XPURAPPLYBILLENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_PM_XPURAPPLYBILLLOG', 'T_PM_XPURAPPLYBILLLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURAPPLYBILLLOG_BILLNO') CREATE INDEX IDX_PM_XPURAPPLYBILLLOG_BILLNO ON T_PM_XPURAPPLYBILLLOG ( FXBILLNO  DESC );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
