﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURAPPLYBILL' AND KSQL_COL_NAME ='FCHANGESTATUS') 
 ALTER TABLE T_PM_PURAPPLYBILL ADD (FCHANGESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURAPPLYBILL' AND KSQL_COL_NAME ='FCHANGERID') 
 ALTER TABLE T_PM_PURAPPLYBILL ADD (FCHANGERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURAPPLYBILL' AND KSQL_COL_NAME ='FCHANGEDATE') 
 ALTER TABLE T_PM_PURAPPLYBILL ADD (FCHANGEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURAPPLYBILL' AND KSQL_COL_NAME ='FVERSION') 
 ALTER TABLE T_PM_PURAPPLYBILL ADD (FVERSION VARCHAR(30) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURAPPLYBILL' AND KSQL_COL_NAME ='FSUBVERSION') 
 ALTER TABLE T_PM_PURAPPLYBILL ADD (FSUBVERSION VARCHAR(30) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURAPPLYBILLENTRY' AND KSQL_COL_NAME ='FENTRYCHANGETYPE') 
 ALTER TABLE T_PM_PURAPPLYBILLENTRY ADD (FENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_XPURAPPLYBILL') 
 CREATE TABLE T_PM_XPURAPPLYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FCANCELSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FINQUIRYSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FBIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512),
FBILLCRETYPE VARCHAR(5) DEFAULT '0' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FUNITSRCTYPE VARCHAR(30) DEFAULT 'NULL' NOT NULL,
FCHANGESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FVERSION VARCHAR(30) DEFAULT '1' NOT NULL,
FSUBVERSION VARCHAR(30) DEFAULT '1' NOT NULL,
FCHANGEBIZDATE DATETIME,
FCHANGEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANGEREASON NVARCHAR(512),
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FVALIDSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_XPURAPPLYBILL_L') 
 CREATE TABLE T_PM_XPURAPPLYBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_XPURAPPLYBILLENTRY') 
 CREATE TABLE T_PM_XPURAPPLYBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255),
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FAPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FROWCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FROWTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ',
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQDEPTID BIGINT DEFAULT 0 NOT NULL,
FREQDATE DATETIME,
FPURLEADDAY INT DEFAULT 0 NOT NULL,
FPURDATE DATETIME,
FDELIVERDATE DATETIME,
FENTRYRECORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYRECDEPTID BIGINT DEFAULT 0 NOT NULL,
FENTRYPUROGID BIGINT DEFAULT 0 NOT NULL,
FENTRYPURDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FENTRYCREATETIME DATETIME,
FENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYMODIFYTIME DATETIME,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYSRCID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_XPURAPPLYBILLENTRY_R') 
 CREATE TABLE T_PM_XPURAPPLYBILLENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMFTORDERID BIGINT DEFAULT 0 NOT NULL,
FMFTORDERNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMFTORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FMFTORDERENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FPRODUCTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSALBILLID BIGINT DEFAULT 0 NOT NULL,
FSALBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSALBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSALBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FAVINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_XPURAPPLYBILLLOG') 
 CREATE TABLE T_PM_XPURAPPLYBILLLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FXBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FXREASON NVARCHAR(512),
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLJSON NVARCHAR(512),
FXBILLJSON NVARCHAR(512),
FXMDJSON NVARCHAR(512),
FSRCBILLJSON_TAG NCLOB,
FXBILLJSON_TAG NCLOB,
FXMDJSON_TAG NCLOB
);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
