﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PM_PURPLANBILL', 'T_PM_PURPLANBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_PURPLANBILL_BILLNO') CREATE INDEX IDX_PM_PURPLANBILL_BILLNO ON T_PM_PURPLANBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_PURPLANBILL_ORG') CREATE INDEX IDX_PM_PURPLANBILL_ORG ON T_PM_PURPLANBILL ( FORGID ,FBIZTIME  DESC ,FBILLNO  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_PURPLANBILL_BIZTIME') CREATE INDEX IDX_PM_PURPLANBILL_BIZTIME ON T_PM_PURPLANBILL ( FBIZTIME  DESC );


 EXEC P_ALTERPK 'PK_T_PM_PURPLANBILL_L', 'T_PM_PURPLANBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_PURPLANBILL_L') CREATE INDEX IDX_PM_PURPLANBILL_L ON T_PM_PURPLANBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PM_PURPLANBILLENTRY', 'T_PM_PURPLANBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_PURPLANBILLENTRY') CREATE INDEX IDX_PM_PURPLANBILLENTRY ON T_PM_PURPLANBILLENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_PURPLANE_MATID') CREATE INDEX IDX_PM_PURPLANE_MATID ON T_PM_PURPLANBILLENTRY ( FMATERIALID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_PURPLANE_MASTERTID') CREATE INDEX IDX_PM_PURPLANE_MASTERTID ON T_PM_PURPLANBILLENTRY ( FMATERIALMASTERID ,FID );


 EXEC P_ALTERPK 'PK_T_PM_PURPLANBILLENTRY_R', 'T_PM_PURPLANBILLENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_PURPLANBILLENTRY_R') CREATE INDEX IDX_PM_PURPLANBILLENTRY_R ON T_PM_PURPLANBILLENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_PM_XPURPLANBILL', 'T_PM_XPURPLANBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANBILL_BILLNO') CREATE INDEX IDX_PM_XPURPLANBILL_BILLNO ON T_PM_XPURPLANBILL ( FCHANGEBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANBILL_ORG') CREATE INDEX IDX_PM_XPURPLANBILL_ORG ON T_PM_XPURPLANBILL ( FORGID ,FCHANGEBILLNO  DESC ,FCHANGEBIZDATE  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANBILL_BIZTIME') CREATE INDEX IDX_PM_XPURPLANBILL_BIZTIME ON T_PM_XPURPLANBILL ( FCHANGEBIZDATE  DESC );


 EXEC P_ALTERPK 'PK_T_PM_XPURPLANBILL_L', 'T_PM_XPURPLANBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANBILL_L') CREATE INDEX IDX_PM_XPURPLANBILL_L ON T_PM_XPURPLANBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PM_XPURPLANBILLENTRY', 'T_PM_XPURPLANBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANBILLENTRY') CREATE INDEX IDX_PM_XPURPLANBILLENTRY ON T_PM_XPURPLANBILLENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANE_MATID') CREATE INDEX IDX_PM_XPURPLANE_MATID ON T_PM_XPURPLANBILLENTRY ( FMATERIALID ,FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANE_MASTERTID') CREATE INDEX IDX_PM_XPURPLANE_MASTERTID ON T_PM_XPURPLANBILLENTRY ( FMATERIALMASTERID ,FID );


 EXEC P_ALTERPK 'PK_T_PM_XPURPLANBILLENTRY_R', 'T_PM_XPURPLANBILLENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANBILLENTRY_R') CREATE INDEX IDX_PM_XPURPLANBILLENTRY_R ON T_PM_XPURPLANBILLENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_PM_XPURPLANBILLLOG', 'T_PM_XPURPLANBILLLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURPLANBILLLOG_BILLNO') CREATE INDEX IDX_PM_XPURPLANBILLLOG_BILLNO ON T_PM_XPURPLANBILLLOG ( FXBILLNO  DESC );



EXEC p_DropIdx 'IDX_PM_XPURAPPLYBILL_ORG', 'T_PM_XPURAPPLYBILL';
EXEC p_DropIdx 'IDX_PM_XPURAPPLYBILL_BIZTIME', 'T_PM_XPURAPPLYBILL';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURAPPLYBILL_ORG') CREATE INDEX IDX_PM_XPURAPPLYBILL_ORG ON T_PM_XPURAPPLYBILL ( FORGID ,FCHANGEBILLNO  DESC ,FCHANGEBIZDATE  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_XPURAPPLYBILL_BIZTIME') CREATE INDEX IDX_PM_XPURAPPLYBILL_BIZTIME ON T_PM_XPURAPPLYBILL ( FCHANGEBIZDATE  DESC );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_constraint.sql **/
