﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_APPLYBILL_L') 
 CREATE TABLE T_PM_OM_APPLYBILL_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_APPLYBILLENTRY') 
 CREATE TABLE T_PM_OM_APPLYBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FROWCLOSESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FROWTERMINATESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FENTRYCREATETIME DATETIME,
FENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYMODIFYTIME DATETIME,
FLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FPURLEADDAY BIGINT DEFAULT 0 NOT NULL,
FPURDATE DATETIME,
FENTRYRECORGID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,2) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYPUROGID BIGINT DEFAULT 0 NOT NULL,
FREQDATE DATETIME,
FAPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYPURDEPTID BIGINT DEFAULT 0 NOT NULL,
FENTRYRECDEPTID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQDEPTID BIGINT DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FENTRYCHANGETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPURMETHOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOMTIME DATETIME,
FECOSTCENTERID BIGINT DEFAULT 0 NOT NULL,
FISREDORDERMATE CHAR(1) DEFAULT '0' NOT NULL,
FWIPORDERNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWIPORDERID BIGINT DEFAULT 0 NOT NULL,
FWIPORDERENTRYSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWIPORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FWORKPROPLANNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKPROPLANID BIGINT DEFAULT 0 NOT NULL,
FWORKPROPLANSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKPROPLANSEQID BIGINT DEFAULT 0 NOT NULL,
FWORKPROPLANNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKPRONUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKPRONAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKPROEXP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWORKPROPLANNOID BIGINT DEFAULT 0 NOT NULL,
FWORKPROID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_APPLYBILLENTRY_R') 
 CREATE TABLE T_PM_OM_APPLYBILLENTRY_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMFTORDERID BIGINT DEFAULT 0 NOT NULL,
FMFTORDERNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMFTORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FMFTORDERENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FPRODUCTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSALBILLID BIGINT DEFAULT 0 NOT NULL,
FSALBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSALBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSALBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAVINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_APPLYBILL') 
 CREATE TABLE T_PM_OM_APPLYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FBIZUSERID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FCLOSESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCANCELSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBILLCRETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLASTUPDATEUSERID BIGINT DEFAULT 0 NOT NULL,
FLASTUPDATETIME DATETIME,
FUNITSRCTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '0' NOT NULL,
FINQUIRYSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIDSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGESTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHANGEDATE DATETIME,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FSUBVERSION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVERSION NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_APPLYBILLENTRY_D') 
 CREATE TABLE T_PM_OM_APPLYBILLENTRY_D (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
