﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FORECASTPLANBILL') 
 CREATE TABLE T_PM_FORECASTPLANBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFORECASTPLANSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPLANSTARTDATE DATETIME,
FCOMMENT NVARCHAR(512),
FDATECOLUMNJSON NVARCHAR(512),
FDATECOLUMNJSON_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FORECASTPLANBILL_L') 
 CREATE TABLE T_PM_FORECASTPLANBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FORECASTPLANSCHEME') 
 CREATE TABLE T_PM_FORECASTPLANSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FISPRE CHAR(1) DEFAULT ' ' NOT NULL,
FDISPLAYSUPPLY CHAR(1) DEFAULT ' ' NOT NULL,
FDISPLAYADJUST CHAR(1) DEFAULT ' ' NOT NULL,
FDISPLAYGAP CHAR(1) DEFAULT ' ' NOT NULL,
FSPLITTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FORECASTPLANSCHEME_L') 
 CREATE TABLE T_PM_FORECASTPLANSCHEME_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FORECASTPLANSRC') 
 CREATE TABLE T_PM_FORECASTPLANSRC (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FFORECASTPLANSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FPLANSTARTDATE DATETIME,
FCOMMENT NVARCHAR(512),
FDATECOLUMNJSON NVARCHAR(512),
FDATECOLUMNJSON_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FORECASTPLANSRC_L') 
 CREATE TABLE T_PM_FORECASTPLANSRC_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FPLANENTRY') 
 CREATE TABLE T_PM_FPLANENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FPUBLISHSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FPUBLISHDATE DATETIME,
FTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCOMMENT NVARCHAR(512),
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FDATEQTYJSON NVARCHAR(512),
FDATEQTYJSON_TAG NCLOB,
FSRCBILLENTITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FENTRYCREATETIME DATETIME,
FENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FPLANSCHEMEENTRY') 
 CREATE TABLE T_PM_FPLANSCHEMEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTIMEUNIT VARCHAR(5) DEFAULT ' ' NOT NULL,
FSTEP INT DEFAULT 0 NOT NULL,
FPERIODS INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_FPLANSRCENTRY') 
 CREATE TABLE T_PM_FPLANSRCENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FSPLITSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FSPLITDATE DATETIME,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FENTRYCOMMENT NVARCHAR(512),
FDATEQTYJSON NVARCHAR(512),
FDATEQTYJSON_TAG NCLOB,
FSRCBILLENTITY NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYCREATORID BIGINT DEFAULT 0 NOT NULL,
FENTRYCREATETIME DATETIME,
FENTRYMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENTRYMODIFYTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
