﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FBALANCESTATUS') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FBALANCESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FPROMATQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FPROMATQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FPROMATBASEQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FPROMATBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FPROTRANBASEQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FPROTRANBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FPROTRANQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FPROTRANQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FPROPURBASEQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FPROPURBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FPROPURQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FPROPURQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FUNIONSUMBASEQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FUNIONSUMBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FUNIONSUMQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FUNIONSUMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FSUMBASEQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FSUMBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FSUMQTY') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FSUMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FORIGINORGID') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FORIGINORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FENTRYBIZORGID') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FENTRYBIZORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FREQKIND') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FREQKIND VARCHAR(5) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_REQUIRAPPLYBILLENTRY' AND KSQL_COL_NAME ='FSRCBILLENTRYID') 
 ALTER TABLE T_PM_REQUIRAPPLYBILLENTRY ADD (FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL );
 
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_REQPATHSETTINGS') 
 CREATE TABLE T_PM_REQPATHSETTINGS (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FISPRE CHAR(1) DEFAULT '0' NOT NULL,
FSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(5) DEFAULT ' ' NOT NULL,
FREQKIND VARCHAR(5) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSUMSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FAREAJSON NVARCHAR(512),
FAREAJSON_TAG NCLOB,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_REQPATHSETTINGS_E') 
 CREATE TABLE T_PM_REQPATHSETTINGS_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_REQPATHSETTINGS_L') 
 CREATE TABLE T_PM_REQPATHSETTINGS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(512)
);
