﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURREFUNDAPPLYBILL') 
 CREATE TABLE T_PM_PURREFUNDAPPLYBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURREFUNDAPPLYBILL_F') 
 CREATE TABLE T_PM_PURREFUNDAPPLYBILL_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FTOTALTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURREFUNDAPPLYBILL_L') 
 CREATE TABLE T_PM_PURREFUNDAPPLYBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURREFUNDAPPLYBILL_S') 
 CREATE TABLE T_PM_PURREFUNDAPPLYBILL_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FLINKMANID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPROVIDERSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERLINKMANID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERADDRESS NVARCHAR(512) DEFAULT ' ',
FINVOICESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVESUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURREFUNDAPPLYENTRY') 
 CREATE TABLE T_PM_PURREFUNDAPPLYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTYBIZUNIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZUNITID BIGINT DEFAULT 0 NOT NULL,
FPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEUNITID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FROWCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FROWTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ',
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FUNITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZUNITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEUNITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYINVORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURREFUNDAPPLYENTRY_F') 
 CREATE TABLE T_PM_PURREFUNDAPPLYENTRY_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(19,6) DEFAULT 0 NOT NULL,
FENTRYPAYORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_PURREFUNDAPPLYENTRY_R') 
 CREATE TABLE T_PM_PURREFUNDAPPLYENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURAPPLYBILLENTRY_R' AND KSQL_COL_NAME IN ('FJOINQTY')) 
 ALTER TABLE T_PM_PURAPPLYBILLENTRY_R ADD (FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURAPPLYBILLENTRY_R' AND KSQL_COL_NAME IN ('FJOINBASEQTY')) 
 ALTER TABLE T_PM_PURAPPLYBILLENTRY_R ADD (FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURAPPLYBILLENTRY_R', 'FREMAINORDERBASEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURAPPLYBILLENTRY_R', 'FREMAINORDERQTY', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FJOINQTY')) 
 ALTER TABLE T_PM_PURORDERBILLENTRY_R ADD (FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FJOINBASEQTY')) 
 ALTER TABLE T_PM_PURORDERBILLENTRY_R ADD (FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FRECRETQTY')) 
 ALTER TABLE T_PM_PURORDERBILLENTRY_R ADD (FRECRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FRECRETBASEQTY')) 
 ALTER TABLE T_PM_PURORDERBILLENTRY_R ADD (FRECRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FINVRETQTY')) 
 ALTER TABLE T_PM_PURORDERBILLENTRY_R ADD (FINVRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FINVRETBASEQTY')) 
 ALTER TABLE T_PM_PURORDERBILLENTRY_R ADD (FINVRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FJOINPAYABLEPRICEQTY')) 
 ALTER TABLE T_PM_PURORDERBILLENTRY_R ADD (FJOINPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURORDERBILLENTRY_R', 'FREMAINRECEIVEBASEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURORDERBILLENTRY_R', 'FREMAININVBASEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURORDERBILLENTRY_R', 'FREMAINRETURNBASEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURORDERBILLENTRY_R', 'FREMAINRECEIVEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURORDERBILLENTRY_R', 'FREMAININVQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURORDERBILLENTRY_R', 'FREMAINRETURNQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURORDERBILLENTRY_R', 'FREMAINPAYABLEPRICEQTY', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FJOINQTY')) 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FJOINBASEQTY')) 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FRECRETQTY')) 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FRECRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FRECRETBASEQTY')) 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FRECRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FINVRETQTY')) 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FINVRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FINVRETBASEQTY')) 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FINVRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY_R' AND KSQL_COL_NAME IN ('FJOINPAYABLEPRICEQTY')) 
 ALTER TABLE T_PM_XPURORDERBILLENTRY_R ADD (FJOINPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILLENTRY_R', 'FREMAINRECEIVEBASEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILLENTRY_R', 'FREMAININVBASEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILLENTRY_R', 'FREMAINRETURNBASEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILLENTRY_R', 'FREMAINRECEIVEQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILLENTRY_R', 'FREMAININVQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILLENTRY_R', 'FREMAINRETURNQTY', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILLENTRY_R', 'FREMAINPAYABLEPRICEQTY', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_PURORDERPAYENTRY' AND KSQL_COL_NAME IN ('FJOINPAYAMOUNT')) 
 ALTER TABLE T_PM_PURORDERPAYENTRY ADD (FJOINPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_PURORDERPAYENTRY', 'FREMAINPAYAMOUNT', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPORDERDELIVERENTRY' AND KSQL_COL_NAME IN ('FSOURCEDELIVERENTRYID')) 
 ALTER TABLE T_PM_XPORDERDELIVERENTRY ADD (FSOURCEDELIVERENTRYID BIGINT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPORDERDELIVERENTRY', 'FSRCBILLDELIVERENTRYID', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILLENTRY' AND KSQL_COL_NAME IN ('FSOURCEENTRYID')) 
 ALTER TABLE T_PM_XPURORDERBILLENTRY ADD (FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILLENTRY', 'FSRCBILLENTRYID', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILL' AND KSQL_COL_NAME IN ('FSOURCEID')) 
 ALTER TABLE T_PM_XPURORDERBILL ADD (FSOURCEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILL' AND KSQL_COL_NAME IN ('FSOURCENO')) 
 ALTER TABLE T_PM_XPURORDERBILL ADD (FSOURCENO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILL' AND KSQL_COL_NAME IN ('FSOURCEBIZTIME')) 
 ALTER TABLE T_PM_XPURORDERBILL ADD (FSOURCEBIZTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERBILL' AND KSQL_COL_NAME IN ('FSOURCESTATUS')) 
 ALTER TABLE T_PM_XPURORDERBILL ADD (FSOURCESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILL', 'FSRCBILLID', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILL', 'FSRCBILLNO', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILL', 'FSRCBIZTIME', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERBILL', 'FSRCBILLSTATUS', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERTERMENTRY' AND KSQL_COL_NAME IN ('FSOURCETERMENTRYID')) 
 ALTER TABLE T_PM_XPURORDERTERMENTRY ADD (FSOURCETERMENTRYID BIGINT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERTERMENTRY', 'FSRCBILLTERMENTRYID', 'NULL', 'NULL', '1001', 'NULL';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERPAYENTRY' AND KSQL_COL_NAME IN ('FJOINPAYAMOUNT')) 
 ALTER TABLE T_PM_XPURORDERPAYENTRY ADD (FJOINPAYAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PM_XPURORDERPAYENTRY' AND KSQL_COL_NAME IN ('FSOURCEPAYENTRYID')) 
 ALTER TABLE T_PM_XPURORDERPAYENTRY ADD (FSOURCEPAYENTRYID BIGINT DEFAULT 0 NOT NULL );
 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERPAYENTRY', 'FREMAINPAYAMOUNT', 'NULL', 'NULL', '1001', 'NULL';

 --- drop column --------- 请认真检查该脚本 ------------------- 
 EXEC p_AlterColumn 'T_PM_XPURORDERPAYENTRY', 'FSRCBILLPAYENTRYID', 'NULL', 'NULL', '1001', 'NULL';


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PM_table.sql **/
