﻿/**Begin D:\PDM_UPGRADE\PDM1\OM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_COMPONENTENTRY_L') 
 CREATE TABLE T_OM_COMPONENTENTRY_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHILDREMARKS NVARCHAR(250) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_COMPONENTENTRY_A') 
 CREATE TABLE T_OM_COMPONENTENTRY_A (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBACKFLUSHTIME NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISKEYPART CHAR(1) DEFAULT '0' NOT NULL,
FOVERISSUECONTRL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISSINHIGHLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXTRARATIOQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSINLOWLIMIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLACKRAITIOQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEADTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDDATE DATETIME,
FREJECTEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFEEDINGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWIPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCANSENDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FALLOTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISBACKFLUSH NVARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_COMPONENTENTRY') 
 CREATE TABLE T_OM_COMPONENTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FBOMREVERSION BIGINT DEFAULT 0 NOT NULL,
FQTYTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FUSERATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFIXSCRAP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRAPRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEMANDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNISSUEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISCANNEGATIVE CHAR(1) DEFAULT '0' NOT NULL,
FCHILDBOMID BIGINT DEFAULT 0 NOT NULL,
FCHILDBOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHILDAUXPROPERTYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLYMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FBATCHNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATION BIGINT DEFAULT 0 NOT NULL,
FOUTORGUNITID BIGINT DEFAULT 0 NOT NULL,
FOUTWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FISSUEMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQTYNUMERATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQTYDENOMINATOR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTAGERATEFORMULA NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISSTOCKALLOT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OM_COMPONENT') 
 CREATE TABLE T_OM_COMPONENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMFTDEPTORGID BIGINT DEFAULT 0 NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPLACENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FORDERNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMFTINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARKS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROCESSROUTE BIGINT DEFAULT 0 NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLAUXUNIT BIGINT DEFAULT 0 NOT NULL,
FBILLAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPROPERTY BIGINT DEFAULT 0 NOT NULL,
FSUPPLIER BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURORDERBILL_S') 
 CREATE TABLE T_PM_OM_PURORDERBILL_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FINVOICESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FLINKMANID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERLINKMANID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERADDRESS NVARCHAR(300) DEFAULT ' ' NOT NULL,
FADDRESS NVARCHAR(300) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURORDERBILL_L') 
 CREATE TABLE T_PM_OM_PURORDERBILL_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHILDREMARKS NVARCHAR(250) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURORDERBILL_F') 
 CREATE TABLE T_PM_OM_PURORDERBILL_F (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FEXRATEDATE DATETIME,
FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL,
FPAYCONDITIONID BIGINT DEFAULT 0 NOT NULL,
FPAIDPREALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURORDERBILL') 
 CREATE TABLE T_PM_OM_PURORDERBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FCLOSESTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCANCELSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FCHANGESTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FBILLCRETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONFIRMSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOGISTICSSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREQUIREORG BIGINT DEFAULT 0 NOT NULL,
FTRANSOUTTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURBILLENTRY_R') 
 CREATE TABLE T_PM_OM_PURBILLENTRY_R (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSALBILLID BIGINT DEFAULT 0 NOT NULL,
FSALBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSALBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURBILLENTRY_F') 
 CREATE TABLE T_PM_OM_PURBILLENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEDEPTID BIGINT DEFAULT 0 NOT NULL,
FENTRYPAYORGID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURBILLENTRY_D') 
 CREATE TABLE T_PM_OM_PURBILLENTRY_D (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FENTRYRECORGID BIGINT DEFAULT 0 NOT NULL,
FDELIVERADDRESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FENTRYRECDEPTID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQDEPTID BIGINT DEFAULT 0 NOT NULL,
FDELIVERLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLQTY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVERATEUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVERATEDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLDAY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVEDAYUP BIGINT DEFAULT 0 NOT NULL,
FRECEIVEDAYDOWN BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURBILLENTRY') 
 CREATE TABLE T_PM_OM_PURBILLENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FROWCLOSESTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FROWTERMINATESTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FENTRYCHANGETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FSUPPLIERLOT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FEXPENDBOMTIME DATETIME,
FPICKINGPAIRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FKITTINGSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPICKSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBATCHNO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_PURPAYENTRY') 
 CREATE TABLE T_PM_OM_PURPAYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FPREPAYBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAIDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYENTRYCHANGETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FJOINPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\OM_table.sql **/
