﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PM_OM_WXPDELIVERENTRY', 'T_PM_OM_WXPDELIVERENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPDENTRY') CREATE INDEX IDX_PM_OM_WXPDENTRY ON T_PM_OM_WXPDELIVERENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILL', 'T_PM_OM_WXPURBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILLL_BNO') CREATE INDEX IDX_PM_OM_WXPURBILLL_BNO ON T_PM_OM_WXPURBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILL_F', 'T_PM_OM_WXPURBILL_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILL') CREATE INDEX IDX_PM_OM_WXPURBILL ON T_PM_OM_WXPURBILL_F ( FSETTLECURRENCYID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILL_L', 'T_PM_OM_WXPURBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILL_L') CREATE INDEX IDX_PM_OM_WXPURBILL_L ON T_PM_OM_WXPURBILL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILL_S', 'T_PM_OM_WXPURBILL_S', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILL_S') CREATE INDEX IDX_PM_OM_WXPURBILL_S ON T_PM_OM_WXPURBILL_S ( FSUPPLIERID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILLENTRY', 'T_PM_OM_WXPURBILLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILLENTRY') CREATE INDEX IDX_PM_OM_WXPURBILLENTRY ON T_PM_OM_WXPURBILLENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILLENTRY_D', 'T_PM_OM_WXPURBILLENTRY_D', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILLENTRY_D') CREATE INDEX IDX_PM_OM_WXPURBILLENTRY_D ON T_PM_OM_WXPURBILLENTRY_D ( FID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILLENTRY_F', 'T_PM_OM_WXPURBILLENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILLENTRY_IDORG') CREATE INDEX IDX_PM_OM_WXPURBILLENTRY_IDORG ON T_PM_OM_WXPURBILLENTRY_F ( FID,FENTRYSETTLEORGID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILLENTRY_R', 'T_PM_OM_WXPURBILLENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILLENTRY_R') CREATE INDEX IDX_PM_OM_WXPURBILLENTRY_R ON T_PM_OM_WXPURBILLENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURBILLLOG', 'T_PM_OM_WXPURBILLLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURBILLLOG_BNO') CREATE INDEX IDX_PM_OM_WXPURBILLLOG_BNO ON T_PM_OM_WXPURBILLLOG ( FXBILLNO );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURPAYENTRY', 'T_PM_OM_WXPURPAYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURPAYENTRY') CREATE INDEX IDX_PM_OM_WXPURPAYENTRY ON T_PM_OM_WXPURPAYENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_PM_OM_WXPURTERMENTRY', 'T_PM_OM_WXPURTERMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PM_OM_WXPURTERMENTRY') CREATE INDEX IDX_PM_OM_WXPURTERMENTRY ON T_PM_OM_WXPURTERMENTRY ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_constraint.sql **/
