﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPDELIVERENTRY') 
 CREATE TABLE T_PM_OM_WXPDELIVERENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPLANDELIVERDATE DATETIME,
FPLANQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANUNITID BIGINT DEFAULT 0 NOT NULL,
FPLANRECEIVEDATE DATETIME,
FPLANRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPLANCOMMENT NVARCHAR(512) DEFAULT ' ',
FDELENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEDELIVERENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILL') 
 CREATE TABLE T_PM_OM_WXPURBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FDEPTID BIGINT DEFAULT 0 NOT NULL,
FOPERATORGROUPID BIGINT DEFAULT 0 NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL,
FBIZTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FCANCELSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FCHANGESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGEDATE DATETIME,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSOURCENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCEBIZTIME DATETIME,
FSOURCESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(512) DEFAULT ' ',
FACTIVESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FACTIVERID BIGINT DEFAULT 0 NOT NULL,
FACTIVEDATE DATETIME,
FCHANGECANCELSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCHANGECANCELER BIGINT DEFAULT 0 NOT NULL,
FCHANGECANCELDATE DATETIME,
FCONFIRMSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FLOGISTICSSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FPAYSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512),
FBILLCRETYPE VARCHAR(5) DEFAULT '0' NOT NULL,
FISVIRTUALBILL CHAR(1) DEFAULT '0' NOT NULL,
FTRANSACTEPATHID BIGINT DEFAULT 0 NOT NULL,
FASYNCSTATUS CHAR(1) DEFAULT 'B' NOT NULL,
FTRANSOUTTYPE BIGINT DEFAULT 0 NOT NULL,
FTRANSOUTTYPENAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILL_F') 
 CREATE TABLE T_PM_OM_WXPURBILL_F (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYCONDITIONID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FTOTALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPAYRATE CHAR(1) DEFAULT '1' NOT NULL,
FPAIDALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDPREALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FPAYMODE VARCHAR(30) DEFAULT 'CREDIT' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILL_L') 
 CREATE TABLE T_PM_OM_WXPURBILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILL_S') 
 CREATE TABLE T_PM_OM_WXPURBILL_S (
FID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FLINKMANID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPROVIDERSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERLINKMANID BIGINT DEFAULT 0 NOT NULL,
FPROVIDERADDRESS NVARCHAR(512) DEFAULT ' ',
FINVOICESUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FRECEIVESUPPLIERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILLENTRY') 
 CREATE TABLE T_PM_OM_WXPURBILLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FENTRYPURORGID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FMATERIALMASTERID BIGINT DEFAULT 0 NOT NULL,
FMATERIALNAME NVARCHAR(255),
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERLOT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FROWCLOSESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FROWTERMINATESTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ',
FQTYBIZUNIT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZUNITID BIGINT DEFAULT 0 NOT NULL,
FPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FUNITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBIZUNITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEUNITRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEENTRYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALVERSIONID BIGINT DEFAULT 0 NOT NULL,
FAUXUNITID BIGINT DEFAULT 0 NOT NULL,
FAUXQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPICKINGPAIRS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBOMNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOMID BIGINT DEFAULT 0 NOT NULL,
FROUTENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FROUTEID BIGINT DEFAULT 0 NOT NULL,
FBOMVERSIONNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOMVERSION BIGINT DEFAULT 0 NOT NULL,
FBOMREPLACENAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOMREPLACENO BIGINT DEFAULT 0 NOT NULL,
FECNVERSIONNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FECNVERSION BIGINT DEFAULT 0 NOT NULL,
FEXPENDBOMTIME DATETIME,
FBATCHNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICKSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FKITTINGSTATUS VARCHAR(5) DEFAULT ' ' NOT NULL,
FHEADBILLNO NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_D') 
 CREATE TABLE T_PM_OM_WXPURBILLENTRY_D (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYREQDEPTID BIGINT DEFAULT 0 NOT NULL,
FDELIVERDATE DATETIME,
FDELIVERLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FDELIVERADDRESS NVARCHAR(512) DEFAULT ' ',
FENTRYRECORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYRECDEPTID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLQTY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVERATEDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVERATEUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYDOWN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTYUP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOWNERTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLDAY CHAR(1) DEFAULT '0' NOT NULL,
FRECEIVEDAYUP INT DEFAULT 0 NOT NULL,
FRECEIVEDAYDOWN INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_F') 
 CREATE TABLE T_PM_OM_WXPURBILLENTRY_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FENTRYSETTLEDEPTID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYPAYORGID BIGINT DEFAULT 0 NOT NULL,
FEXPENSEITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILLENTRY_R') 
 CREATE TABLE T_PM_OM_WXPURBILLENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETURNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVRETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVRETBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYABLEPRICEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALBILLID BIGINT DEFAULT 0 NOT NULL,
FSALBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSALBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSALBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCSYSTEM NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLENTRYID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSRCSYSBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURBILLLOG') 
 CREATE TABLE T_PM_OM_WXPURBILLLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLVERSION VARCHAR(30) DEFAULT ' ' NOT NULL,
FXBILLID BIGINT DEFAULT 0 NOT NULL,
FXBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZTIME DATETIME,
FXREASON NVARCHAR(512) DEFAULT ' ',
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLJSON_TAG NCLOB,
FXBILLJSON_TAG NCLOB,
FXMDJSON_TAG NCLOB,
FSRCBILLJSON NVARCHAR(512),
FXBILLJSON NVARCHAR(512),
FXMDJSON NVARCHAR(512)
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURPAYENTRY') 
 CREATE TABLE T_PM_OM_WXPURPAYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYNAMEID BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FPAYRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISPREPAY CHAR(1) DEFAULT '0' NOT NULL,
FPREPAYBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FJOINPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCEPAYENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PM_OM_WXPURTERMENTRY') 
 CREATE TABLE T_PM_OM_WXPURTERMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPURTERMID BIGINT DEFAULT 0 NOT NULL,
FPURTERMCOMMENT NVARCHAR(512) DEFAULT ' ',
FTERMENTRYCHANGETYPE VARCHAR(5) DEFAULT ' ' NOT NULL,
FSOURCETERMENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OM_table.sql **/
