-- 采购订单审核、反审核
-- 采购订单变更单 生效
-- 新采购订单变更单 生效

--T_EVT_EVENT
IF NOT EXISTS (SELECT 1 FROM t_evt_event WHERE FID = 1184815796052839424) 
INSERT INTO t_evt_event 
(fid, fnumber, ftype, fentity, fsource, fopernumber, fscene, fstatus, fcreater, fmodifier, fcreatedate, fmodifydate, fname, foperation, fdescription, fispreinsdata, fismodified) 
VALUES(1184815796052839424, 'pm_purorderbill.audit', 'cosmic', 'pm_purorderbill', '/JJVO8XV9MVB', 'audit', 'operate', '1', 1, 1, {ts'2018-08-08 18:08:00'}, {ts'2018-08-08 18:08:00'}, ' ', '审核', ' ', '1', '0');

IF NOT EXISTS (SELECT 1 FROM t_evt_event WHERE FID = 1195741543751775232) 
INSERT INTO t_evt_event 
(fid, fnumber, ftype, fentity, fsource, fopernumber, fscene, fstatus, fcreater, fmodifier, fcreatedate, fmodifydate, fname, foperation, fdescription, fispreinsdata, fismodified) 
VALUES(1195741543751775232, 'pm_purorderbill.unaudit', 'cosmic', 'pm_purorderbill', '/JJVO8XV9MVB', 'unaudit', 'operate', '1', 1, 1, {ts'2018-08-08 18:08:00'}, {ts'2018-08-08 18:08:00'}, ' ', '反审核', ' ', '1', '0');

IF NOT EXISTS (SELECT 1 FROM t_evt_event WHERE FID = 1205605194692313088) 
INSERT INTO t_evt_event 
(fid, fnumber, ftype, fentity, fsource, fopernumber, fscene, fstatus, fcreater, fmodifier, fcreatedate, fmodifydate, fname, foperation, fdescription, fispreinsdata, fismodified) 
VALUES(1205605194692313088, 'pm_xpurorderbill.active', 'cosmic', 'pm_xpurorderbill', '/JJVO8XV9MVB', 'active', 'operate', '1', 1, 1, {ts'2018-08-08 18:08:00'}, {ts'2018-08-08 18:08:00'}, ' ', '生效', ' ', '1', '0');

IF NOT EXISTS (SELECT 1 FROM t_evt_event WHERE FID = 1184170978394007552) 
INSERT INTO t_evt_event 
(fid, fnumber, ftype, fentity, fsource, fopernumber, fscene, fstatus, fcreater, fmodifier, fcreatedate, fmodifydate, fname, foperation, fdescription, fispreinsdata, fismodified) 
VALUES(1184170978394007552, 'pm_xspurorderbill.bizvalid', 'cosmic', 'pm_xspurorderbill', '/JJVO8XV9MVB', 'bizvalid', 'operate', '1', 1, 1, {ts'2018-08-08 18:08:00'}, {ts'2018-08-08 18:08:00'}, ' ', '生效', ' ', '1', '0');

--T_EVT_EVENT_L
IF NOT EXISTS (SELECT 1 FROM t_evt_event_l WHERE FPKID = '1PIAQEOEWNIW') 
INSERT INTO t_evt_event_l 
(fpkid, fid, flocaleid, fname, foperation, fdescription) 
VALUES('1PIAQEOEWNIW', 1184815796052839424, 'zh_CN', '采购订单.审核', ' ', '监听采购订单的审核操作，异步处理订阅事件');
IF NOT EXISTS (SELECT 1 FROM t_evt_event_l WHERE FPKID = '1PIAQEOEWNIX') 
INSERT INTO t_evt_event_l 
(fpkid, fid, flocaleid, fname, foperation, fdescription) 
VALUES('1PIAQEOEWNIX', 1184815796052839424, 'zh_TW', '採購訂單.審核', ' ', '監聽采購訂單的審核操作，異步處理訂閱事件');

IF NOT EXISTS (SELECT 1 FROM t_evt_event_l WHERE FPKID = '1QVO55E+ZHRZ') 
INSERT INTO t_evt_event_l 
(fpkid, fid, flocaleid, fname, foperation, fdescription) 
VALUES('1QVO55E+ZHRZ', 1195741543751775232, 'zh_CN', '采购订单.反审核', ' ', '监听采购订单的反审核操作，异步处理订阅事件');
IF NOT EXISTS (SELECT 1 FROM t_evt_event_l WHERE FPKID = '1QVO55E+ZHS+') 
INSERT INTO t_evt_event_l 
(fpkid, fid, flocaleid, fname, foperation, fdescription) 
VALUES('1QVO55E+ZHS+', 1195741543751775232, 'zh_TW', '採購訂單.反審核', ' ', '監聽采購訂單的反審核操作，異步處理訂閱事件');

IF NOT EXISTS (SELECT 1 FROM t_evt_event_l WHERE FPKID = '1S1Y4ED23OLA') 
INSERT INTO t_evt_event_l 
(fpkid, fid, flocaleid, fname, foperation, fdescription) 
VALUES('1S1Y4ED23OLA', 1205605194692313088, 'zh_CN', '采购订单变更单.生效', ' ', '监听采购订单变更单的生效操作，异步处理订阅事件');
IF NOT EXISTS (SELECT 1 FROM t_evt_event_l WHERE FPKID = '1S1Y6ERXR3ZF') 
INSERT INTO t_evt_event_l 
(fpkid, fid, flocaleid, fname, foperation, fdescription) 
VALUES('1S1Y6ERXR3ZF', 1205605194692313088, 'zh_TW', '采購訂單變更單.生效', ' ', '監聽采購訂單變更單的生效操作，異步處理訂閱事件');

IF NOT EXISTS (SELECT 1 FROM t_evt_event_l WHERE FPKID = '1PF88NF9BPIQ') 
INSERT INTO t_evt_event_l 
(fpkid, fid, flocaleid, fname, foperation, fdescription) 
VALUES('1PF88NF9BPIQ', 1184170978394007552, 'zh_CN', '新采购订单变更单.生效', ' ', '监听新采购订单变更单的生效操作，异步处理订阅事件');
IF NOT EXISTS (SELECT 1 FROM t_evt_event_l WHERE FPKID = '1S1ZBDSGEVDN') 
INSERT INTO t_evt_event_l 
(fpkid, fid, flocaleid, fname, foperation, fdescription) 
VALUES('1S1ZBDSGEVDN', 1184170978394007552, 'zh_TW', '新采購訂單變更單.生效', ' ', '監聽新采購訂單變更單的生效操作，異步處理訂閱事件');

--T_EVT_EVENTCONFIG
