/****** 采购预测单据的编码规则的预置数据 ******/
-- t_cr_coderule
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '2Z3YDX8+K=E6') 
INSERT INTO t_cr_coderule
(fid, fnumber, fruletype, fbizobjectid, fsplitsign, fctrlmode, fappmode, fexample, fexamplelength, fenable, fstatus, fcreatorid, fcreatetime, fmodifierid, fmodifytime, fdisablerid, fdisabledate, fmasterid, fisupdaterecover, fisnonbreak, fischeckcode, fisappcondition, fisapporg, fislog, fisserialnumber, fisunique, fismodifiable, fisaddview, fisfast, ffiltercondition, fconditiondesc)
VALUES('2Z3YDX8+K=E6', '2Z3YC0BY1LKJ', NULL, 'pm_forecastplanbill', '-', '1', '2', ' ', ' ', '1', 'C', 1, {ts'2018-08-08 18:08:00'}, 1, {ts'2018-08-08 18:08:00'}, NULL, NULL, '2Z3YDX8+K=E6', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', ' ', ' ');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '2Z3=IDGC5H9Z') 
INSERT INTO t_cr_coderule
(fid, fnumber, fruletype, fbizobjectid, fsplitsign, fctrlmode, fappmode, fexample, fexamplelength, fenable, fstatus, fcreatorid, fcreatetime, fmodifierid, fmodifytime, fdisablerid, fdisabledate, fmasterid, fisupdaterecover, fisnonbreak, fischeckcode, fisappcondition, fisapporg, fislog, fisserialnumber, fisunique, fismodifiable, fisaddview, fisfast, ffiltercondition, fconditiondesc)
VALUES('2Z3=IDGC5H9Z', '2Z3=DP3C9JPN', NULL, 'pm_forecastplanscheme', '-', '1', '2', ' ', ' ', '1', 'C', 1, {ts'2018-08-08 18:08:00'}, 1, {ts'2018-08-08 18:08:00'}, NULL, NULL, '2Z3=IDGC5H9Z', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', ' ', ' ');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE FID = '2Z3A4HW27ZVH') 
INSERT INTO t_cr_coderule
(fid, fnumber, fruletype, fbizobjectid, fsplitsign, fctrlmode, fappmode, fexample, fexamplelength, fenable, fstatus, fcreatorid, fcreatetime, fmodifierid, fmodifytime, fdisablerid, fdisabledate, fmasterid, fisupdaterecover, fisnonbreak, fischeckcode, fisappcondition, fisapporg, fislog, fisserialnumber, fisunique, fismodifiable, fisaddview, fisfast, ffiltercondition, fconditiondesc)
VALUES('2Z3A4HW27ZVH', '2Z3A0ID8HX3B', NULL, 'pm_forecastplansrc', '-', '1', '2', ' ', ' ', '1', 'C', 1, {ts'2018-08-08 18:08:00'}, 1, {ts'2018-08-08 18:08:00'}, NULL, NULL, '2Z3A4HW27ZVH', '0', '0', '0', '0', '0', '0', '1', '0', '0', '1', '1', ' ', ' ');

--t_cr_coderule_l
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '2Z3YDX8+KA2F')
INSERT INTO t_cr_coderule_l
(fpkid, fid, flocaleid, fname)
VALUES('2Z3YDX8+KA2F', '2Z3YDX8+K=E6', 'zh_CN', '采购预测计划编码规则');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '2Z3YFA5HU1IM')
INSERT INTO t_cr_coderule_l
(fpkid, fid, flocaleid, fname)
VALUES('2Z3YFA5HU1IM', '2Z3YDX8+K=E6', 'zh_TW', '采購預測計劃編碼規則');

IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '2Z3=IDGC5HZ7')
INSERT INTO t_cr_coderule_l
(fpkid, fid, flocaleid, fname)
VALUES('2Z3=IDGC5HZ7', '2Z3=IDGC5H9Z', 'zh_CN', '预测计划方案编码规则');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '2Z3A6KXKWQ4T')
INSERT INTO t_cr_coderule_l
(fpkid, fid, flocaleid, fname)
VALUES('2Z3A6KXKWQ4T', '2Z3=IDGC5H9Z', 'zh_TW', '預測計劃方案編碼規則');

IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '2Z3A4HW27Z68')
INSERT INTO t_cr_coderule_l
(fpkid, fid, flocaleid, fname)
VALUES('2Z3A4HW27Z68', '2Z3A4HW27ZVH', 'zh_CN', '预测计划来源编码规则');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '2Z44V39=+RD2')
INSERT INTO t_cr_coderule_l
(fpkid, fid, flocaleid, fname)
VALUES('2Z44V39=+RD2', '2Z3A4HW27ZVH', 'zh_TW', '預測計劃來源編碼規則');

-- t_cr_coderuleentry
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '2Z4626O0J7H8')
INSERT INTO t_cr_coderuleentry
(fentryid, fid, fseq, fattributetype, fattusingmode, fvalueatribute, fformat, fsettingvalue, flength, finitial, fstep, faddchar, fissplitsign, faddstyle, fcutstyle, fissortitem, fsplitsign, fisvisable)
VALUES('2Z4626O0J7H8', '2Z3YDX8+K=E6', 0, '1', '1', ' ', 'FCJH', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '2Z4626O0J7H9')
INSERT INTO t_cr_coderuleentry
(fentryid, fid, fseq, fattributetype, fattusingmode, fvalueatribute, fformat, fsettingvalue, flength, finitial, fstep, faddchar, fissplitsign, faddstyle, fcutstyle, fissortitem, fsplitsign, fisvisable)
VALUES('2Z4626O0J7H9', '2Z3YDX8+K=E6', 1, '2', ' ', 'createtime', 'yyMMdd', ' ', 8, 1, 1, ' ', '1', '1', '1', '1', '-', '1');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '2Z4626O0J7H=')
INSERT INTO t_cr_coderuleentry
(fentryid, fid, fseq, fattributetype, fattusingmode, fvalueatribute, fformat, fsettingvalue, flength, finitial, fstep, faddchar, fissplitsign, faddstyle, fcutstyle, fissortitem, fsplitsign, fisvisable)
VALUES('2Z4626O0J7H=', '2Z3YDX8+K=E6', 2, '16', ' ', ' ', ' ', ' ', 6, 1, 1, ' ', '1', '1', '1', '0', '-', '1');

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '2Z3A6KYAX0/N')
INSERT INTO t_cr_coderuleentry
(fentryid, fid, fseq, fattributetype, fattusingmode, fvalueatribute, fformat, fsettingvalue, flength, finitial, fstep, faddchar, fissplitsign, faddstyle, fcutstyle, fissortitem, fsplitsign, fisvisable)
VALUES('2Z3A6KYAX0/N', '2Z3=IDGC5H9Z', 0, '1', '1', ' ', 'FCPL', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '2Z3A6KYAX0/O')
INSERT INTO t_cr_coderuleentry
(fentryid, fid, fseq, fattributetype, fattusingmode, fvalueatribute, fformat, fsettingvalue, flength, finitial, fstep, faddchar, fissplitsign, faddstyle, fcutstyle, fissortitem, fsplitsign, fisvisable)
VALUES('2Z3A6KYAX0/O', '2Z3=IDGC5H9Z', 1, '16', ' ', ' ', ' ', ' ', 4, 1, 1, ' ', '1', '1', '1', '0', '-', '1');

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '2Z45VZHPJX9Z')
INSERT INTO t_cr_coderuleentry
(fentryid, fid, fseq, fattributetype, fattusingmode, fvalueatribute, fformat, fsettingvalue, flength, finitial, fstep, faddchar, fissplitsign, faddstyle, fcutstyle, fissortitem, fsplitsign, fisvisable)
VALUES('2Z45VZHPJX9Z', '2Z3A4HW27ZVH', 0, '1', '1', ' ', 'FCLY', ' ', 8, 1, 1, ' ', '0', '1', '1', '0', ' ', '1');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '2Z45VZHPJX=+')
INSERT INTO t_cr_coderuleentry
(fentryid, fid, fseq, fattributetype, fattusingmode, fvalueatribute, fformat, fsettingvalue, flength, finitial, fstep, faddchar, fissplitsign, faddstyle, fcutstyle, fissortitem, fsplitsign, fisvisable)
VALUES('2Z45VZHPJX=+', '2Z3A4HW27ZVH', 1, '2', ' ', 'createtime', 'yyMMdd', ' ', 8, 1, 1, ' ', '1', '1', '1', '1', '-', '1');
IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '2Z45VZHPJX=/')
INSERT INTO t_cr_coderuleentry
(fentryid, fid, fseq, fattributetype, fattusingmode, fvalueatribute, fformat, fsettingvalue, flength, finitial, fstep, faddchar, fissplitsign, faddstyle, fcutstyle, fissortitem, fsplitsign, fisvisable)
VALUES('2Z45VZHPJX=/', '2Z3A4HW27ZVH', 2, '16', ' ', ' ', ' ', ' ', 6, 1, 1, ' ', '1', '1', '1', '0', '-', '1');

